#!/bin/sh

#  This script is used as the System's Startup and Shutdown script.
#  On some systems, they assume that the startup and shutdown scripts,
#  should be text shell scripts.  Since we use a C program to start 
#  MvService, some systems will error.  This script should call the
#  C program MvService start/stop by passing on the arguments directly
#  to the C program.

systype=`uname -a | (read p1 p2 p3 p4 p5 p6 p7 p8 p9; echo $p1 $p3)`
MAC=`echo $systype | awk '{print $1}'`

if [ "$1" = "start" ] ;then
   if [ "$MAC" != "Darwin" ]; then
      touch /var/lock/subsys/MvService
      /usr/mv_pro/bin/MvService $* 
      exit 0
   fi
else
   if [ "$1" = "stop" ] ;then
      if [ "$MAC" != "Darwin" ]; then
         rm -f /var/lock/subsys/MvService
      fi
      /usr/mv_pro/bin/MvService $* 
      exit 0
   else
      /usr/mv_pro/bin/MvService $* 
   fi
fi      
exit 0
